{% macro modal(id, title) %}
<div class="modal modal-lg fade" id="{{id}}" tabindex="-1" aria-labelledby="{{id}}" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">{{title}}</h5>
        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
      </div>
{{caller()-}}
    </div>
  </div>
</div>
{% endmacro %}

{# https://icons.getbootstrap.com/ #}

{% macro bi_chat_left_text_fill() %}
<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-chat-left-text-fill" viewBox="0 0 16 16">
  <path d="M0 2a2 2 0 0 1 2-2h12a2 2 0 0 1 2 2v8a2 2 0 0 1-2 2H4.414a1 1 0 0 0-.707.293L.854 15.146A.5.5 0 0 1 0 14.793V2zm3.5 1a.5.5 0 0 0 0 1h9a.5.5 0 0 0 0-1h-9zm0 2.5a.5.5 0 0 0 0 1h9a.5.5 0 0 0 0-1h-9zm0 2.5a.5.5 0 0 0 0 1h5a.5.5 0 0 0 0-1h-5z"/>
</svg>
{% endmacro %}

{% macro bi_quote() %}
<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi bi-quote" viewBox="0 0 16 16">
  <path d="M12 12a1 1 0 0 0 1-1V8.558a1 1 0 0 0-1-1h-1.388c0-.351.021-.703.062-1.054.062-.372.166-.703.31-.992.145-.29.331-.517.559-.683.227-.186.516-.279.868-.279V3c-.579 0-1.085.124-1.52.372a3.322 3.322 0 0 0-1.085.992 4.92 4.92 0 0 0-.62 1.458A7.712 7.712 0 0 0 9 7.558V11a1 1 0 0 0 1 1h2Zm-6 0a1 1 0 0 0 1-1V8.558a1 1 0 0 0-1-1H4.612c0-.351.021-.703.062-1.054.062-.372.166-.703.31-.992.145-.29.331-.517.559-.683.227-.186.516-.279.868-.279V3c-.579 0-1.085.124-1.52.372a3.322 3.322 0 0 0-1.085.992 4.92 4.92 0 0 0-.62 1.458A7.712 7.712 0 0 0 3 7.558V11a1 1 0 0 0 1 1h2Z"/>
</svg>
{% endmacro %}

{% macro end_quote() %}
<svg xmlns="http://www.w3.org/2000/svg" width="16" height="16" fill="currentColor" class="bi" viewBox="0 0 16 16">
  <path d="m 3.9998267,3 a 1,1 0 0 0 -1,1 v 2.442 a 1,1 0 0 0 1,1 h 1.388 c 0,0.351 -0.021,0.703 -0.062,1.054 -0.062,0.372 -0.166,0.703 -0.31,0.992 -0.145,0.29 -0.331,0.517 -0.559,0.683 -0.227,0.186 -0.516,0.279 -0.868,0.279 V 12 c 0.579,0 1.085,-0.124 1.52,-0.372 a 3.322,3.322 0 0 0 1.085,-0.992 4.92,4.92 0 0 0 0.62,-1.458 7.712,7.712 0 0 0 0.186,-1.736 V 4 a 1,1 0 0 0 -1,-1 z m 6,0 a 1,1 0 0 0 -1,1 v 2.442 a 1,1 0 0 0 1,1 h 1.3880003 c 0,0.351 -0.021,0.703 -0.062,1.054 -0.062,0.372 -0.166,0.703 -0.31,0.992 -0.145,0.29 -0.331,0.517 -0.559,0.683 -0.227,0.186 -0.5160003,0.279 -0.8680003,0.279 V 12 c 0.5790003,0 1.0850003,-0.124 1.5200003,-0.372 a 3.322,3.322 0 0 0 1.085,-0.992 4.92,4.92 0 0 0 0.62,-1.458 7.712,7.712 0 0 0 0.186,-1.736 V 4 a 1,1 0 0 0 -1,-1 z"/>
</svg>
{% endmacro %}

